<template>
    <div class="administration h-screen bg-white" style="padding-left: 256px;">
        <NavigationSidebar />

        <RouterView v-slot="{ Component }">
            <transition name="slide-right">
                <component :is="Component" />
            </transition>
        </RouterView>
    </div>
</template>

<script setup lang="ts">
import { ref, onMounted, inject } from 'vue';
import { RouterView } from 'vue-router';
import NavigationSidebar from '@/components/navigation/NavigationSidebar.vue';
import { useUserStore } from '@/stores/userStore';

const user = useUserStore();
const api = inject('api') as any;

if (Object.keys(user.getLoggedInUser).length === 0) {
    api.authenticationEndpoint.user().then((response: any) => {
        user.getLoggedInUser(response.data.data);
    });
}

const windowWidth = ref(window.innerWidth);
const windowHeight = ref(window.innerHeight);

onMounted(() => {
    window.addEventListener('resize', () => {
        windowWidth.value = window.innerWidth;
        windowHeight.value = window.innerHeight;
    });
});

// const isTouchDevice = computed(() => 'ontouchstart' in window || navigator.maxTouchPoints > 0);
// const isMouseDevice = computed(() => !isTouchDevice.value);
</script>
